Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.flatfile.layout
Class FlatFileReaderFactoryAssembler

    java.lang.Object
      com.servingxml.components.flatfile.options.FlatFileOptionsFactoryAssembler
          com.servingxml.components.flatfile.layout.FlatFileReaderFactoryAssembler

    public class FlatFileReaderFactoryAssembler

extends FlatFileOptionsFactoryAssembler

The `FlatFileReaderFactoryAssembler` implements an assembler for assembling `FlatFileReaderFactory` objects.

Constructor Summary
`FlatFileReaderFactoryAssembler()`

Method Summary
`RecordReaderFactory` | `assemble(ConfigurationContext context)`
`void` | `injectComponent(FlatFile flatFile)`
`void` | `injectComponent(ParameterDescriptor[] parameterDescriptors)`
`void` | `injectComponent(StreamSourceFactory streamSourceFactory)`
`void` | `setFromRecord(long fromRecord)`
`void` | `setMaxRecordCount(long maxRecordCount)`

Methods inherited from class com.servingxml.components.flatfile.options.FlatFileOptionsFactoryAssembler
`assembleFlatFileOptions, injectComponent, injectComponent, injectComponent, injectComponent, injectComponent, injectComponent, injectComponent, injectComponent, setAlwaysQuote, setCountPositionsInBytes, setFlushRecordOnWrite, setIgnoreEmptyLines, setIgnoreTrailingEmptyLines, setJustify, setLineDelimited, setOmitFinalFieldDelimiter, setOmitFinalRepeatDelimiter, setPadCharacter, setQuote, setTrim, setTrimLeading, setTrimLeadingWithinQuotes, setTrimQuoted, setTrimTrailing, setTrimTrailingWithinQuotes, setTrimWithinQuotes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FlatFileReaderFactoryAssembler

    public FlatFileReaderFactoryAssembler()

Method Detail

### injectComponent

    public void injectComponent(ParameterDescriptor[] parameterDescriptors)

### setFromRecord

    public void setFromRecord(long fromRecord)

### setMaxRecordCount

    public void setMaxRecordCount(long maxRecordCount)

### injectComponent

    public void injectComponent(FlatFile flatFile)

### injectComponent

    public void injectComponent(StreamSourceFactory streamSourceFactory)

### assemble

    public RecordReaderFactory assemble(ConfigurationContext context)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD